Submit feedback on extraction results
/construe/feedbackSubmits user feedback on results from the Construe extraction endpoint. Feedback includes the full extraction result received and the result the user expected.
Body parameters
textstringrequiredThe natural language text that was used for code extraction
received_resultobjectrequiredsystemobjectrequirednamestringoptionalCode system name. Can be a built-in system or a custom system name.
Built-in systems:
- SNOMED_CT_US_LITE - version 20240901
- RXNORM - version 11042024
- ICD-10-CM - version 2025
- ICD-10-PCS - version 2025
- LOINC - version 2.78
- HPO - version 2025
- CPT - version 2025
Custom systems:
- Any valid system name uploaded via /construe/upload. Requires a paid plan.
Usage of CPT is subject to AMA requirements: see PhenoML Terms of Service.
versionstringoptionalCode system version. Must match the version available in your environment.
codesobject[]requiredcodestringrequiredThe extracted code
descriptionstringrequiredShort description of the code
validbooleanrequiredWhether the code passed validation. Always true unless include_invalid is set to true, in which case invalid codes will have this set to false.
reasonstringoptionalExplanation for why this code was extracted (if include_rationale is true)
is_ancestorbooleanoptionalWhether this code is an ancestor (parent) of an extracted code rather than directly extracted. Only present when include_ancestors is true.
citationsobject[]optionalSource text references showing where this code was found in the input. Only present when include_citations is true and chunking method supports it. Ancestor codes do not receive citations.
categoriesobject[]optionalHigher-level groupings the extracted code belongs to (e.g. HPO category terms). Only populated by full-extraction chunking methods such as "fasthpocr".
expected_resultobjectrequiredsystemobjectrequirednamestringoptionalCode system name. Can be a built-in system or a custom system name.
Built-in systems:
- SNOMED_CT_US_LITE - version 20240901
- RXNORM - version 11042024
- ICD-10-CM - version 2025
- ICD-10-PCS - version 2025
- LOINC - version 2.78
- HPO - version 2025
- CPT - version 2025
Custom systems:
- Any valid system name uploaded via /construe/upload. Requires a paid plan.
Usage of CPT is subject to AMA requirements: see PhenoML Terms of Service.
versionstringoptionalCode system version. Must match the version available in your environment.
codesobject[]requiredcodestringrequiredThe extracted code
descriptionstringrequiredShort description of the code
validbooleanrequiredWhether the code passed validation. Always true unless include_invalid is set to true, in which case invalid codes will have this set to false.
reasonstringoptionalExplanation for why this code was extracted (if include_rationale is true)
is_ancestorbooleanoptionalWhether this code is an ancestor (parent) of an extracted code rather than directly extracted. Only present when include_ancestors is true.
citationsobject[]optionalSource text references showing where this code was found in the input. Only present when include_citations is true and chunking method supports it. Ancestor codes do not receive citations.
categoriesobject[]optionalHigher-level groupings the extracted code belongs to (e.g. HPO category terms). Only populated by full-extraction chunking methods such as "fasthpocr".
detailstringoptionalOptional details explaining the feedback
Feedback saved successfully
Response fields
idstringrequiredThe ID of the saved feedback